%{?drupal7_find_provides_and_requires}

%global module feeds
%global prerelease beta1

Name:          drupal7-%{module}
Version:       2.0
Release:       0.13.%{prerelease}%{?dist}
Summary:       Aggregates RSS/Atom/RDF feeds, imports CSV files and more

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}-%{prerelease}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# feeds.info
Requires:      drupal7(ctools)
Requires:      drupal7(job_scheduler)

# phpcompatinfo (computed from version 2.0-beta1)
Requires:      php-curl
Requires:      php-date
Requires:      php-hash
Requires:      php-libxml
Requires:      php-pcre
Requires:      php-simplexml
Requires:      php-spl


%description
Import or aggregate data as nodes, users, taxonomy terms or simple database
records.

This package provides the following Drupal modules:
* %{module}
* %{module}_import
* %{module}_news (requires drupal7-features and drupal7-views)
* %{module}_ui

%prep
%setup -qn %{module}


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%{drupal7_modules}/%{module}


%changelog
* Mon Jul 20 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.0-0.13.beta1
- Update to 2.0-beta1 (RHBZ #1242139)

* Wed Jul 01 2015 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.12.alpha9
- Update to 2.0-alpha9
- Release notes can be found at https://www.drupal.org/node/2507273

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.11.alpha8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Oct 18 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.0-0.10.alpha8
- Spec cleanup

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.9.alpha8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.8.alpha8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 19 2013 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.7.alpha8
- Fix versioning to be newer than alpha7 release

* Tue Apr 23 2013 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.1.alpha8
- Update to upstream alpha8 bug fix release
- Upstream changelog for the bug fixes in this release is at http://drupal.org/node/1977140

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.7.alpha7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 25 2012 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.5.alpha7
- Bug fix update for Drupal issue #1807920: Imported nodes have NULL format.

* Wed Oct 10 2012 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.5.alpha6
- Security fix

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.4.alpha5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 02 2012 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.3.alpha5
- New upstream version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.2.alpha4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 23 2011 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.1.alpha4
- Initial packaging
